delete
https://api.dashboard.strev.ai/api/v2/contract
Deletes a contract. Any file attachments linked to the contract will be moved back to the uncategorized directory of the Smart Repository.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Warning
The HTTP DELETE method deletes your existing contract data. This request cannot be undone.
Endpoint URL
https://{{base_url}}/api/v2/contract
Authentication and rate limits
| Item | Details |
|---|---|
| Authentication method | OAuth 2.0 Bearer token |
| Rate limit | Rate Limit |
Requests Example
curl --request DELETE \
--url "https://{{base_url}}/api/v2/contract/$id" \
--header "Authorization: Bearer $BEARER_TOKEN" \
--header "Content-Type: application/json"
Query Parameters
- id (integer) --
[REQUIRED] The ID of the contract.
The id parameter is passed as part of the request url/contract/$id.
To lookup a specific contract ID, see the List Contract API.
